Skip to main content
`Ctrl`+`K`

# PetscImaginaryPart

Returns the imaginary part of a `PetscScalar`

## Synopsis

    #include <petscmath.h>
    PetscReal PetscImaginaryPart(PetscScalar v)

Not Collective

## Input Parameter

- v - value to find the imaginary part of

## Note

If PETSc was configured for real numbers then this always returns the value 0

## See Also

`PetscScalar`, `PetscRealPart()`, `PetscMax()`, `PetscClipInterval()`, `PetscAbsInt()`, `PetscAbsReal()`, `PetscSqr()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/dm/tutorials/ex15.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages